View Issue Details

IDProjectCategoryView StatusLast Update
0000424WackoWikihandlerpublic2014-03-21 15:31
ReportervarahaAssigned Toadministrator 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionduplicate 
PlatformCloudOSFedoraOS Version17
Product Version5.1.0 
Target Version5.4.0Fixed in Version5.4.0 
Summary0000424: safehtml lib don't work propertly
DescriptionIn line:

handlers/page/upload.php:471: $description = $this->format($description, 'safehtml');

PHP crashed
after commenting out this line all OK
Additional InformationPHP 5.4
TagsPHP 5.4

Relationships

related to 0000422 resolvedadministrator patch for htmlspecialchars(), htmlentities(), html_entity_decode() 
related to 0000216 acknowledgedadministrator UTF8 support 

Activities

varaha

2012-09-03 09:09

reporter   ~0000859

Last edited: 2013-01-05 10:11

View 2 revisions

Also in:

handlers/page/upload.php:295: $description = $this->format($description, 'safehtml');

administrator

2013-12-22 06:25

administrator   ~0000906

fixed with 0000422

Issue History

Date Modified Username Field Change
2012-08-31 14:52 varaha New Issue
2012-09-01 17:19 administrator Relationship added related to 0000422
2012-09-01 17:20 administrator Status new => acknowledged
2012-09-01 17:20 administrator Description Updated View Revisions
2012-09-03 09:09 varaha Note Added: 0000859
2013-01-05 10:08 administrator Description Updated View Revisions
2013-01-05 10:09 administrator Tag Attached: PHP 5.4
2013-01-05 10:10 administrator Description Updated View Revisions
2013-01-05 10:10 administrator Description Updated View Revisions
2013-01-05 10:11 administrator Additional Information Updated View Revisions
2013-01-05 10:11 administrator Note Edited: 0000859 View Revisions
2013-01-05 10:14 administrator Target Version => 5.5.0
2013-03-05 08:46 administrator Priority normal => high
2013-03-05 08:47 administrator Relationship added related to 0000216
2013-12-22 06:25 administrator Note Added: 0000906
2013-12-22 06:25 administrator Assigned To => administrator
2013-12-22 06:25 administrator Status acknowledged => resolved
2013-12-22 06:25 administrator Resolution open => fixed
2013-12-22 06:25 administrator Fixed in Version => 5.5.0
2014-03-21 11:44 administrator Resolution fixed => duplicate
2014-03-21 15:31 administrator Fixed in Version 5.5.0 => 5.4.0
2014-03-21 15:31 administrator Target Version 5.5.0 => 5.4.0